NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder Class Reference

Represents a NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder used to reverse normals for specified shell elements. More...

Inheritance diagram for NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder:
NXOpen::Builder NXOpen::CAE::ModelCheck::ISelectionBuilder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  DisplayTypeValue { DisplayTypeValueArrows, DisplayTypeValueSolidFaceColors }
 indicates how display type value is defined More...
 

Public Member Functions

virtual
NXOpen::CAE::ModelCheck::CheckScope 
CheckScopeOption ()
 Returns the check scope setting
Created in NX11.0.1. More...
 
NXOpen::CAE::CaeGroupCreateInconsistentElementEdgeGroup ()
 Creates inconsistent element edge group. More...
 
void DisplayNormals ()
 Display normals of NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::SelectionList
Created in NX8.5.0. More...
 
NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::DisplayTypeValue DisplayType ()
 Returns the display type
Created in NX11.0.0. More...
 
int NegativeFaceColor ()
 Returns the negative face color
Created in NX11.0.0. More...
 
int PositiveFaceColor ()
 Returns the positive face color
Created in NX11.0.0. More...
 
std::vector
< NXOpen::CAE::FEElement * > 
ReverseNormals ()
 Reverses normals specified in NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::SelectionList and returns those elements whose normals were reversed successfully. More...
 
NXOpen::SelectTaggedObjectListSelectionList ()
 Returns the selected objects to be checked. More...
 
virtual void SetCheckScopeOption (NXOpen::CAE::ModelCheck::CheckScope scope)
 Sets the check scope setting
Created in NX11.0.1. More...
 
void SetDisplayType (NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::DisplayTypeValue displayType)
 Sets the display type
Created in NX11.0.0. More...
 
void SetNegativeFaceColor (int negativeFaceColor)
 Sets the negative face color
Created in NX11.0.0. More...
 
void SetPositiveFaceColor (int positiveFaceColor)
 Sets the positive face color
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder used to reverse normals for specified shell elements.

You can reverse shell element normals by using either Builder::Commit or NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::ReverseNormals . The difference between these two methods is Builder::Commit reverses the normals and updates normal display, but it does not return the shell elements which were reversed successfully. NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::ReverseNormals reverses normals and returns the shell elements which were reversed successfully. Both of the methods are only available in fem context.
To create a new instance of this class, use NXOpen::CAE::ModelCheckManager::CreateReverseShellElementNormalBuilder

Created in NX8.5.0.

Member Enumeration Documentation

indicates how display type value is defined

Enumerator
DisplayTypeValueArrows 

arrows

DisplayTypeValueSolidFaceColors 

solid face colors

Member Function Documentation

virtual NXOpen::CAE::ModelCheck::CheckScope NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::CheckScopeOption ( )
virtual

Returns the check scope setting
Created in NX11.0.1.



License requirements : None

Implements NXOpen::CAE::ModelCheck::ISelectionBuilder.

NXOpen::CAE::CaeGroup* NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::CreateInconsistentElementEdgeGroup ( )

Creates inconsistent element edge group.

Returns

Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::DisplayNormals ( )

Display normals of NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::SelectionList
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::DisplayTypeValue NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::DisplayType ( )

Returns the display type
Created in NX11.0.0.



License requirements : None

int NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::NegativeFaceColor ( )

Returns the negative face color
Created in NX11.0.0.



License requirements : None

int NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::PositiveFaceColor ( )

Returns the positive face color
Created in NX11.0.0.



License requirements : None

std::vector<NXOpen::CAE::FEElement *> NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::ReverseNormals ( )

Reverses normals specified in NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::SelectionList and returns those elements whose normals were reversed successfully.

This method will only reverse the normals for shell elements in the current work fem part.

Returns

Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::SelectTaggedObjectList* NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::SelectionList ( )

Returns the selected objects to be checked.

The objects must be NXOpen::CAE::Mesh or NXOpen::CAE::FEElement
Created in NX8.5.0.

License requirements : None

virtual void NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::SetCheckScopeOption ( NXOpen::CAE::ModelCheck::CheckScope  scope)
virtual

Sets the check scope setting
Created in NX11.0.1.



License requirements : None

Parameters
scopescope

Implements NXOpen::CAE::ModelCheck::ISelectionBuilder.

void NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::SetDisplayType ( NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::DisplayTypeValue  displayType)

Sets the display type
Created in NX11.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
displayTypedisplaytype
void NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::SetNegativeFaceColor ( int  negativeFaceColor)

Sets the negative face color
Created in NX11.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
negativeFaceColornegativefacecolor
void NXOpen::CAE::ModelCheck::ReverseShellElementNormalBuilder::SetPositiveFaceColor ( int  positiveFaceColor)

Sets the positive face color
Created in NX11.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
positiveFaceColorpositivefacecolor

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.